html,
body {
  height: 100%;
}

body {
  display: grid;
  grid-template-rows: auto 1fr auto;
}

header {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
}

footer {
  font-size: 14px;
}

.logo a {
  font-size: 1.5rem;
  text-decoration: none;
}

h1 {
  width: fit-content;
  background: #7f7fd5;
  background: linear-gradient(to right, #008493, #067db8, #6e68bd);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  line-height: 1.5;
}

details[role="button"] {
  text-align: left;
}

/* Drawing app */
.drawing-app {
  display: grid;
  grid-template-columns: auto 1fr;
  column-gap: 2rem;
  user-select: none;
}

#color-select input[type="radio"] {
  display: none;
}
#color-select {
  display: grid;
  grid-template-columns: repeat(auto-fit, 2rem);
  gap: 0.5rem;
}

#toolbar label:has(input[type="radio"]) {
  background-color: var(--label-clr);
  outline: 1px dashed var(--pico-primary);
  outline-offset: 1px;
  min-width: 2em;
  min-height: 2em;
}

#toolbar label:has(input:checked) {
  outline-width: 2px;
  outline-style: solid;
}

#toolbar input {
  max-width: 10ch;

  &[type="color"] {
    height: 1.4em;
    width: 3rem;
    padding: 4px;
    margin: 0;
  }
}

#toolbar label.inline {
  display: inline;
  margin-inline-end: 1ch;
}

.bottom-inputs {
  display: flex;
  flex-wrap: wrap;
  gap: 0.5rem;
}

canvas {
  width: 100%;
  height: 100%;
  outline: 1px solid black;
}
